Jump to content

Your Topic Feed

Guest
What's on your mind?
  1. Bitte beachten Sie, dass die unten stehende Liste nur die wichtigsten Änderungen enthält. Kleinere Korrekturen (u.a. Tippfehler) werden nicht separat aufgeführt.


    WoltLab Suite Blog

    • Die Ungelesen-Markierung wurde auf mobilen Geräten nicht immer korrekt entfernt. 3.0 / 3.1

    WoltLab Suite Calendar

    • In der Wochenansicht kam es zu einem Fehler im Template Scripting. 3.0 / 3.1
    • Einige Verbesserungen der Übersetzungen. 3.0 / 3.1

    WoltLab Suite Filebase

    • Die Ungelesen-Markierung wurde auf mobilen Geräten nicht immer korrekt entfernt. 3.0 / 3.1

    WoltLab Suite Forum

    • Beim Bearbeiten eines Themas mit der Einstellung als Ankündigung ohne ausgewählte Foren kam es zu einer inkorrekten Fehlermeldung. 5.0 / 5.1
    • Die Nachrichtenprüfung beim Bearbeiten von Beiträgen wurde verbessert. 5.0 / 5.1
    • Kategorien in Atom-Feeds werden nun beim Import korrekt verarbeitet. 5.0 / 5.1
    • Beim Kopieren von Foren wurde das eingestellte Icon nicht übernommen. 5.1
    • Die Antwort-Box verhielt sich bei einer umgedrehten Nachrichtenreihenfolge fehlerhaft. 5.1

    WoltLab Suite Gallery

    • Die Ungelesen-Markierung wurde auf mobilen Geräten nicht immer korrekt entfernt. 3.0 / 3.1
    • Nicht mehr zugeordnete Marker konnten beim Import Probleme verursachen. 3.0 / 3.1
    • Eine fehlende Sprachvariable für den Kamerablitz wurde ergänzt. 3.0 / 3.1

    WoltLab Suite Core: Conversations

    • Die Darstellung einiger Labels für Konversationen war fehlerhaft. 3.0 / 3.1

    WoltLab Suite Core: Exporter

    • SMF 2.x
      • Vorschaugrafiken von Dateianhängen werden nicht länger als eigenständiger Dateianhang importiert. 3.1
    • vBulletin 5.x
      • Ungültige Passwort-Hash-Verfahren werden nun korrekt verarbeitet. 3.1

    WoltLab Suite Core: Moderated User Groups

    • Einige Verbesserungen der Übersetzungen. 3.1

    WoltLab Suite Core

    • Die Anzahl an automatischen Benutzergruppenzuordnungen werden nun pro Durchlauf beschränkt um Zeitüberschreitungen zu vermeiden. 3.0 / 3.1
    • Dynamisch nachgeladene Nachrichten konnten manchmal nicht bearbeitet werden. 3.0 / 3.1
    • Tags werden nun unabhängig von der Groß- bzw. Kleinschreibung sortiert. 3.0 / 3.1
    • Die Anmelde-Buttons für Drittanbieter wurden angepasst, um den aktualisierten Vorgaben der Anbieter zu entsprechen. 3.0 / 3.1
    • Auf CMS-Seiten mit nur einer Sprache wird nicht länger das Drop-Down für die Sprachauswahl angeboten. 3.0 / 3.1
    • Der Wert der Spalte wcfN_user.authData wurde im DSGVO-Export ergänzt. 3.0 / 3.1
    • Die Verarbeitung von Links im Editor wurde verbessert. 3.0 / 3.1
    • Das Mindestdatum im Datumswähler konnte auf Grund eines Fehlers nicht in der Zukunft liegen. 3.0 / 3.1
    • Einige Nachrichtenformatierungen wurden bei der Server-seitigen Verarbeitung nicht korrekt zurückgewiesen. 3.0 / 3.1
    • Fehlerhafte Eingaben im Kontaktformular führten dazu, dass der ausgewählte Empfänger verworfen wurde. 3.1
    • Die Ausrichtung einiger scrollbaren Drop-Downs war fehlerhaft. 3.1
    • Die Entfernung einer Formatierung an der Cursor-Position im Editor war fehlerhaft und erzeugte eine durchgestrichene Darstellung. 3.1
    • CMS-Seiten können nun korrekt als Startseite einer App eingestellt werden. 3.1

    View the full article

  2. Back in July I released the new installer. After some reports I realized that it was urgent to improve its functionality and reliability as I overestimated the expected servers setups.

    I added a custom error handler and I improved how the server responses are interpreted, I also improved the DB privileges check so now the installer should work more servers, including Dreamhost.

    Finally, I've made public...

    Installer 2.0.0 released (stable)

    View the full article

  3. Die WoltLab Suite 5.2 ist der nächste Meilenstein in der Geschichte der Community- und Foren-Lösungen, probieren Sie unverbindlich den Nachfolger der überaus erfolgreichen WoltLab Suite 3 aus.


    Systemvoraussetzungen

    Für die Installation und Nutzung von WoltLab Suite 5.2 müssen die folgenden Voraussetzungen erfüllt sein:

    • Webserver mit PHP 7.0.22 oder neuer (PHP 7.3+ empfohlen)
    • MySQL 5.5.35 (oder neuer) / MariaDB 5.5.47 (oder neuer) / MariaDB 10.0.22 (oder neuer)
    • 20 MB Festplattenspeicher
    • Aktueller Webbrowser (Chrome 76+, Firefox 68+, Safari 12+, Microsoft Edge 44+ [EdgeHTML 18+])

    Installationsanleitung

    1. Laden Sie das Installations-Archiv auf Ihren Computer herunter.
    2. Entpacken Sie das Archiv.
    3. Laden Sie die Dateien install.php, test.php und WCFSetup.tar.gz auf Ihren Webserver hoch.
    4. Starten Sie die Installation, indem Sie die Datei test.php in Ihrem Webbrowser aufrufen.

    Aktualisierung von früheren Versionen

    Die erste Beta-Version unterstützt keine Aktualisierung von früheren Versionen von WoltLab Suite 3.x, die Update-Funktionalität wird erst mit nachfolgenden Versionen ermöglicht.

    Nutzung & Support

    Es handelt sich um eine Testversion, die nicht für den produktiven Einsatz gedacht ist. Die Nutzung in einer Produktivumgebung erfolgt auf eigene Gefahr. Ein Update von WoltLab Suite 5.2 Beta 1 auf zukünftige Versionen wird nicht garantiert. Die Nutzungsdauer der Betaversion ist auf den 25. Oktober 2019 begrenzt, danach ist eine weitere Nutzung nur mit einer gültigen Lizenz gestattet.


    Fragen und Anregungen zu der neuen Version können direkt hier im Forum hinterlassen werden; Im Falle von Probleme oder Unstimmigkeiten bitten wir um eine kurze Rückmeldung im entsprechenden Bereich, damit wir uns dessen annehmen können.

    Anpassung der Versionsnummern

    Die Forum App nutzte aus historischen Gründen eine höhere Versionsnummer, wodurch es zu einigen Unklarheiten kam. Ab dieser Version laufen alle Produkte unter der einheitlichen Versionsnummer 5.2.



    Download WoltLab Suite Forum 5.2 Beta 1

    Download WoltLab Suite Blog 5.2 Beta 1

    Download WoltLab Suite Calendar 5.2 Beta 1

    Download WoltLab Suite Gallery 5.2 Beta 1

    Download WoltLab Suite Filebase 5.2 Beta 1

    View the full article

  4. <h1>vBulletin 5.5.4 Changes and Updates</h1>
    <p>The Preview Release of vBulletin 5.5.4 is now available to download customers. Preview Releases should not be used on production servers and are for testing purposes only.</p>
    <h2>Front End Changes</h2>
    <h3>Avatars as Status Icons</h3>
    <p>A new option has been added to show the user's avatar instead of the status icon in Topic Lists. This allows the system to be consistent with the responsive view. All views will display the same icons based on this option. You can access the option in the AdminCP under <code>Settings -&gt; Options -&gt; Channel Display Options</code></p>
    <h3>Semantic HTML</h3>
    <p>By using semantic HTML tags, we can provide additional information to search engines and accessibility tools (e.g. Screen Readers). Using these tags allows the system to signify which information is more important on the page.</p>
    <p>We have converted the header, footer, and Channel Navigation Modules to better use Semantic HTML tags. The system is now using the &lt;header&gt;, &lt;footer&gt;, &lt;nav&gt;, and &lt;main&gt; tags where appropriate. Header elements are wrapped in the &lt;header&gt; tag instead of using the &lt;div&gt; tag. Footer elements on each page now use the &lt;footer&gt; tag. Menus and breadcrumbs are wrapped in the &lt;nav&gt; tag. The primary content of each page now uses the &lt;main&gt;. We have worked to make these changes backwards compatible and you should not see any difference in the rendering of your pages. However, if your custom CSS targets container.class (e.g. div.header) then you will need to update your CSS for these changes.</p>
    <p>If you are using one of the provided styles, then you will not have to do anything to take advantage of this change.</p>
    <hr>
    <h2>Back End / AdminCP</h2>
    <h3>Style Variable Validation</h3>
    <p>As a security measure, we have applied a series of validation rules to CSS attributes entered as Style Variable values and in User Profile Customization. These rules limit the amount of CSS that can be added to a variable and prevent users from adding their own attributes using third-party software to alter the page. As an Administrator, you can apply more complex CSS using the css_additional.css template for your style.</p>
    <p>The following validation rules have been added to the system:</p>
    <ol>
    <li><strong>Default</strong>
    <ul>
    <li>Applies to all style variables unless specified below.</li>
    <li>Limited to less than 250 characters.</li>
    <li>Does not contain the characters &quot;{}&quot;.</li>
    </ul>
    </li>
    <li><strong>URL and Image</strong>
    <ul>
    <li>URLs must be quoted.</li>
    <li>Unescaped braces &quot;{}&quot; are not allowed.</li>
    <li>Base64 is allowed as long as there are no braces.</li>
    </ul>
    </li>
    <li><strong>Font Family</strong>
    <ul>
    <li>No more than 20 font families listed.</li>
    <li>Font Family list is comma separated.</li>
    <li>Each font name is no more than 100 characters.</li>
    <li>Font names with spaces must be enclosed within quotation marks.</li>
    </ul>
    </li>
    </ol>
    <h3>Security Headers / Anti-Clickjacking</h3>
    <p>We have added several options to control how your site can be embedded in frames. Embedding a website within another is a frequent method used to PHISH for user data. vBulletin now allows you to prevent this and control where your site appears. This security measure will help safeguard your user's information and your site overall.</p>
    <p>These HTTP Headers are sent to the browser for interpretation. Each browser may interpret these headers differently.</p>
    <p>The options can be found in the AdminCP under <code>Settings -&gt; Options -&gt; Cookie and HTTP Header Options</code>.</p>
    <ul>
    <li><strong>Anti-Clickjacking Headers</strong>: This setting can be used to prevent your site from being included within HTML Frames. The default value will allow your site to be used in frames originating from the same URL. This will prevent sites that currently use frames from breaking. Setting this to Deny will prevent any framing. There are for options available:
    <ul>
    <li>Allow all Framing. This is how vBulletin works today. This option provides no security.</li>
    <li>Deny all Framing. This is the most restrictive Option.</li>
    <li>Allow from Same Site. Allows the system to be embedded in frames on your site. This provides basic security but will not break current sites. This will allow your site to be embedded in Frames that share the same domain as your Forum URL. Note: Accessing via domain name and IP Address will be considered two different sites.</li>
    <li>Specify Raw Header Values. When this is selected, the system will not send headers unless specified in the next two options.</li>
    </ul>
    </li>
    <li><strong>X-Frame-Options Header Value</strong>: This setting allows you to specify a custom value for this header. This header is primarily for Internet Explorer 11 support. Please view the inline help for more information. This option is for Advanced Users and Network Administrators.</li>
    <li><strong>Content-Security-Policy Header Value</strong>: This header is supported by all modern browsers and provides a robust framework for browser security. Please view the inline help for more information. This option is for Advanced Users and Network Administrators.</li>
    </ul>
    <h3>Content Notifications</h3>
    <p>Administrators can specify words that will trigger notifications when they are used. The system works similarly to the existing word censor options. After you have created your list of words, the system will monitor them. When a word is used, the site Administrators and Moderators will be notified via their message center and email based on their notification settings.</p>
    <p>The option for this is available in the AdminCP under <code>Settings -&gt; Options -&gt; User Banning Options</code>.</p>
    <h3>PHP Imagick Support</h3>
    <p>We have added support for the PECL imagick class available for PHP. Using this class can reduce server overhead and processing time when compared to the ImageMagick command line tools using the exec() function. Please see the <a href="https://www.php.net/manual/en/book.imagick.php">PHP Documentation</a> for information on installing this class on your server. Once installed, the class can be selected within the AdminCP under <code>Settings -&gt; Options -&gt; Image Settings</code>.</p>
    <blockquote>
    <p>Note: In a future version of vBulletin, we will be removing the older command line implementation of ImageMagick.</p>
    </blockquote>
    <hr>
    <h2>Additional Information</h2>
    <h3>Install / Upgrade</h3>
    <ul>
    <li><a href="https://www.vbulletin.com/forum/node/4391348">Installation Instructions</a></li>
    <li><a href="https://www.vbulletin.com/forum/node/4391346">Upgrade Instructions</a></li>
    </ul>
    <h3>File Cleanup</h3>
    <p>After upgrading your vBulletin system, you should delete any possible obsolete files. You can obtain more information on why this is needed and instructions on how to do this in this <a href="https://www.vbulletin.com/forum/node/4391346"><strong>topic</strong></a> in the vBulletin 5 Installs &amp; Upgrades forum.</p>
    <h3>System Requirements</h3>
    <h4>Minimum System Requirements</h4>
    <ul>
    <li>PHP Version: 7.1.0</li>
    <li>MySQL Version: 5.6.10</li>
    <li>MariaDB Version: 10.0.0</li>
    </ul>
    <h4>Recommended System Requirements</h4>
    <ul>
    <li>PHP Version: 7.3 or higher</li>
    <li>MySQL Version: 8.0 or higher</li>
    <li>MariaDB Version: 10.3+</li>
    </ul>
    <p>For more information see <a href="https://www.vbulletin.com/forum/node/4391344">vBulletin Connect System Requirements</a>.</p>
    <h3>Current Version Support Schedule</h3>
    <p>It is recommended to use the latest version of vBulletin at all times.</p>
    <ul>
    <li>Active Version - 5.5.3</li>
    <li>Security Patch - 5.5.2</li>
    <li>Security Patch - 5.5.1</li>
    <li>No Patch Release - 5.5.0 or earlier.</li>
    </ul>
    <h3>Discussion</h3>
    <p>If you have any questions about these changes you may discuss them here: https://forum.vbulletin.com/node/4419735 </p>
    <p>If you find an issue with the software or wish to place a feature request please visit our <a href="https://tracker.vbulletin.com">tracker</a>.</p>
    <p>In order to receive support for your vBulletin Product please visit our <a href="https://www.vbulletin.com/forum/">community forums</a>.</p>

    View the full article

  5. <h1>vBulletin 5.5.4 Changes and Updates</h1>
    <p>The Preview Release of vBulletin 5.5.4 is now available to download customers. Preview Releases should not be used on production servers and are for testing purposes only.</p>
    <h2>Front End Changes</h2>
    <h3>Avatars as Status Icons</h3>
    <p>A new option has been added to show the user's avatar instead of the status icon in Topic Lists. This allows the system to be consistent with the responsive view. All views will display the same icons based on this option. You can access the option in the AdminCP under <code>Settings -&gt; Options -&gt; Channel Display Options</code></p>
    <h3>Semantic HTML</h3>
    <p>By using semantic HTML tags, we can provide additional information to search engines and accessibility tools (e.g. Screen Readers). Using these tags allows the system to signify which information is more important on the page.</p>
    <p>We have converted the header, footer, and Channel Navigation Modules to better use Semantic HTML tags. The system is now using the &lt;header&gt;, &lt;footer&gt;, &lt;nav&gt;, and &lt;main&gt; tags where appropriate. Header elements are wrapped in the &lt;header&gt; tag instead of using the &lt;div&gt; tag. Footer elements on each page now use the &lt;footer&gt; tag. Menus and breadcrumbs are wrapped in the &lt;nav&gt; tag. The primary content of each page now uses the &lt;main&gt;. We have worked to make these changes backwards compatible and you should not see any difference in the rendering of your pages. However, if your custom CSS targets container.class (e.g. div.header) then you will need to update your CSS for these changes.</p>
    <p>If you are using one of the provided styles, then you will not have to do anything to take advantage of this change.</p>
    <hr>
    <h2>Back End / AdminCP</h2>
    <h3>Style Variable Validation</h3>
    <p>As a security measure, we have applied a series of validation rules to CSS attributes entered as Style Variable values and in User Profile Customization. These rules limit the amount of CSS that can be added to a variable and prevent users from adding their own attributes using third-party software to alter the page. As an Administrator, you can apply more complex CSS using the css_additional.css template for your style.</p>
    <p>The following validation rules have been added to the system:</p>
    <ol>
    <li><strong>Default</strong>
    <ul>
    <li>Applies to all style variables unless specified below.</li>
    <li>Limited to less than 250 characters.</li>
    <li>Does not contain the characters &quot;{}&quot;.</li>
    </ul>
    </li>
    <li><strong>URL and Image</strong>
    <ul>
    <li>URLs must be quoted.</li>
    <li>Unescaped braces &quot;{}&quot; are not allowed.</li>
    <li>Base64 is allowed as long as there are no braces.</li>
    </ul>
    </li>
    <li><strong>Font Family</strong>
    <ul>
    <li>No more than 20 font families listed.</li>
    <li>Font Family list is comma separated.</li>
    <li>Each font name is no more than 100 characters.</li>
    <li>Font names with spaces must be enclosed within quotation marks.</li>
    </ul>
    </li>
    </ol>
    <h3>Security Headers / Anti-Clickjacking</h3>
    <p>We have added several options to control how your site can be embedded in frames. Embedding a website within another is a frequent method used to PHISH for user data. vBulletin now allows you to prevent this and control where your site appears. This security measure will help safeguard your user's information and your site overall.</p>
    <p>These HTTP Headers are sent to the browser for interpretation. Each browser may interpret these headers differently.</p>
    <p>The options can be found in the AdminCP under <code>Settings -&gt; Options -&gt; Cookie and HTTP Header Options</code>.</p>
    <ul>
    <li><strong>Anti-Clickjacking Headers</strong>: This setting can be used to prevent your site from being included within HTML Frames. The default value will allow your site to be used in frames originating from the same URL. This will prevent sites that currently use frames from breaking. Setting this to Deny will prevent any framing. There are for options available:
    <ul>
    <li>Allow all Framing. This is how vBulletin works today. This option provides no security.</li>
    <li>Deny all Framing. This is the most restrictive Option.</li>
    <li>Allow from Same Site. Allows the system to be embedded in frames on your site. This provides basic security but will not break current sites. This will allow your site to be embedded in Frames that share the same domain as your Forum URL. Note: Accessing via domain name and IP Address will be considered two different sites.</li>
    <li>Specify Raw Header Values. When this is selected, the system will not send headers unless specified in the next two options.</li>
    </ul>
    </li>
    <li><strong>X-Frame-Options Header Value</strong>: This setting allows you to specify a custom value for this header. This header is primarily for Internet Explorer 11 support. Please view the inline help for more information. This option is for Advanced Users and Network Administrators.</li>
    <li><strong>Content-Security-Policy Header Value</strong>: This header is supported by all modern browsers and provides a robust framework for browser security. Please view the inline help for more information. This option is for Advanced Users and Network Administrators.</li>
    </ul>
    <h3>Content Notifications</h3>
    <p>Administrators can specify words that will trigger notifications when they are used. The system works similarly to the existing word censor options. After you have created your list of words, the system will monitor them. When a word is used, the site Administrators and Moderators will be notified via their message center and email based on their notification settings.</p>
    <p>The option for this is available in the AdminCP under <code>Settings -&gt; Options -&gt; User Banning Options</code>.</p>
    <h3>PHP Imagick Support</h3>
    <p>We have added support for the PECL imagick class available for PHP. Using this class can reduce server overhead and processing time when compared to the ImageMagick command line tools using the exec() function. Please see the <a href="https://www.php.net/manual/en/book.imagick.php">PHP Documentation</a> for information on installing this class on your server. Once installed, the class can be selected within the AdminCP under <code>Settings -&gt; Options -&gt; Image Settings</code>.</p>
    <blockquote>
    <p>Note: In a future version of vBulletin, we will be removing the older command line implementation of ImageMagick.</p>
    </blockquote>
    <hr>
    <h2>Additional Information</h2>
    <h3>Install / Upgrade</h3>
    <ul>
    <li><a href="https://www.vbulletin.com/forum/node/4391348">Installation Instructions</a></li>
    <li><a href="https://www.vbulletin.com/forum/node/4391346">Upgrade Instructions</a></li>
    </ul>
    <h3>File Cleanup</h3>
    <p>After upgrading your vBulletin system, you should delete any possible obsolete files. You can obtain more information on why this is needed and instructions on how to do this in this <a href="https://www.vbulletin.com/forum/node/4391346"><strong>topic</strong></a> in the vBulletin 5 Installs &amp; Upgrades forum.</p>
    <h3>System Requirements</h3>
    <h4>Minimum System Requirements</h4>
    <ul>
    <li>PHP Version: 7.1.0</li>
    <li>MySQL Version: 5.6.10</li>
    <li>MariaDB Version: 10.0.0</li>
    </ul>
    <h4>Recommended System Requirements</h4>
    <ul>
    <li>PHP Version: 7.3 or higher</li>
    <li>MySQL Version: 8.0 or higher</li>
    <li>MariaDB Version: 10.3+</li>
    </ul>
    <p>For more information see <a href="https://www.vbulletin.com/forum/node/4391344">vBulletin Connect System Requirements</a>.</p>
    <h3>Current Version Support Schedule</h3>
    <p>It is recommended to use the latest version of vBulletin at all times.</p>
    <ul>
    <li>Active Version - 5.5.3</li>
    <li>Security Patch - 5.5.2</li>
    <li>Security Patch - 5.5.1</li>
    <li>No Patch Release - 5.5.0 or earlier.</li>
    </ul>
    <h3>Discussion</h3>
    <p>If you have any questions about these changes you may discuss them here: https://forum.vbulletin.com/node/4419735 </p>
    <p>If you find an issue with the software or wish to place a feature request please visit our <a href="https://tracker.vbulletin.com">tracker</a>.</p>
    <p>In order to receive support for your vBulletin Product please visit our <a href="https://www.vbulletin.com/forum/">community forums</a>.</p>

    View the full article

  6. <h1>vBulletin 5.5.4 Changes and Updates</h1>
    <p>The Preview Release of vBulletin 5.5.4 is now available to download customers. Preview Releases should not be used on production servers and are for testing purposes only.</p>
    <h2>Front End Changes</h2>
    <h3>Avatars as Status Icons</h3>
    <p>A new option has been added to show the user's avatar instead of the status icon in Topic Lists. This allows the system to be consistent with the responsive view. All views will display the same icons based on this option. You can access the option in the AdminCP under <code>Settings -&gt; Options -&gt; Channel Display Options</code></p>
    <h3>Semantic HTML</h3>
    <p>By using semantic HTML tags, we can provide additional information to search engines and accessibility tools (e.g. Screen Readers). Using these tags allows the system to signify which information is more important on the page.</p>
    <p>We have converted the header, footer, and Channel Navigation Modules to better use Semantic HTML tags. The system is now using the &lt;header&gt;, &lt;footer&gt;, &lt;nav&gt;, and &lt;main&gt; tags where appropriate. Header elements are wrapped in the &lt;header&gt; tag instead of using the &lt;div&gt; tag. Footer elements on each page now use the &lt;footer&gt; tag. Menus and breadcrumbs are wrapped in the &lt;nav&gt; tag. The primary content of each page now uses the &lt;main&gt;. We have worked to make these changes backwards compatible and you should not see any difference in the rendering of your pages. However, if your custom CSS targets container.class (e.g. div.header) then you will need to update your CSS for these changes.</p>
    <p>If you are using one of the provided styles, then you will not have to do anything to take advantage of this change.</p>
    <hr>
    <h2>Back End / AdminCP</h2>
    <h3>Style Variable Validation</h3>
    <p>As a security measure, we have applied a series of validation rules to CSS attributes entered as Style Variable values and in User Profile Customization. These rules limit the amount of CSS that can be added to a variable and prevent users from adding their own attributes using third-party software to alter the page. As an Administrator, you can apply more complex CSS using the css_additional.css template for your style.</p>
    <p>The following validation rules have been added to the system:</p>
    <ol>
    <li><strong>Default</strong>
    <ul>
    <li>Applies to all style variables unless specified below.</li>
    <li>Limited to less than 250 characters.</li>
    <li>Does not contain the characters &quot;{}&quot;.</li>
    </ul>
    </li>
    <li><strong>URL and Image</strong>
    <ul>
    <li>URLs must be quoted.</li>
    <li>Unescaped braces &quot;{}&quot; are not allowed.</li>
    <li>Base64 is allowed as long as there are no braces.</li>
    </ul>
    </li>
    <li><strong>Font Family</strong>
    <ul>
    <li>No more than 20 font families listed.</li>
    <li>Font Family list is comma separated.</li>
    <li>Each font name is no more than 100 characters.</li>
    <li>Font names with spaces must be enclosed within quotation marks.</li>
    </ul>
    </li>
    </ol>
    <h3>Security Headers / Anti-Clickjacking</h3>
    <p>We have added several options to control how your site can be embedded in frames. Embedding a website within another is a frequent method used to PHISH for user data. vBulletin now allows you to prevent this and control where your site appears. This security measure will help safeguard your user's information and your site overall.</p>
    <p>These HTTP Headers are sent to the browser for interpretation. Each browser may interpret these headers differently.</p>
    <p>The options can be found in the AdminCP under <code>Settings -&gt; Options -&gt; Cookie and HTTP Header Options</code>.</p>
    <ul>
    <li><strong>Anti-Clickjacking Headers</strong>: This setting can be used to prevent your site from being included within HTML Frames. The default value will allow your site to be used in frames originating from the same URL. This will prevent sites that currently use frames from breaking. Setting this to Deny will prevent any framing. There are for options available:
    <ul>
    <li>Allow all Framing. This is how vBulletin works today. This option provides no security.</li>
    <li>Deny all Framing. This is the most restrictive Option.</li>
    <li>Allow from Same Site. Allows the system to be embedded in frames on your site. This provides basic security but will not break current sites. This will allow your site to be embedded in Frames that share the same domain as your Forum URL. Note: Accessing via domain name and IP Address will be considered two different sites.</li>
    <li>Specify Raw Header Values. When this is selected, the system will not send headers unless specified in the next two options.</li>
    </ul>
    </li>
    <li><strong>X-Frame-Options Header Value</strong>: This setting allows you to specify a custom value for this header. This header is primarily for Internet Explorer 11 support. Please view the inline help for more information. This option is for Advanced Users and Network Administrators.</li>
    <li><strong>Content-Security-Policy Header Value</strong>: This header is supported by all modern browsers and provides a robust framework for browser security. Please view the inline help for more information. This option is for Advanced Users and Network Administrators.</li>
    </ul>
    <h3>Content Notifications</h3>
    <p>Administrators can specify words that will trigger notifications when they are used. The system works similarly to the existing word censor options. After you have created your list of words, the system will monitor them. When a word is used, the site Administrators and Moderators will be notified via their message center and email based on their notification settings.</p>
    <p>The option for this is available in the AdminCP under <code>Settings -&gt; Options -&gt; User Banning Options</code>.</p>
    <h3>PHP Imagick Support</h3>
    <p>We have added support for the PECL imagick class available for PHP. Using this class can reduce server overhead and processing time when compared to the ImageMagick command line tools using the exec() function. Please see the <a href="https://www.php.net/manual/en/book.imagick.php">PHP Documentation</a> for information on installing this class on your server. Once installed, the class can be selected within the AdminCP under <code>Settings -&gt; Options -&gt; Image Settings</code>.</p>
    <blockquote>
    <p>Note: In a future version of vBulletin, we will be removing the older command line implementation of ImageMagick.</p>
    </blockquote>
    <hr>
    <h2>Additional Information</h2>
    <h3>Install / Upgrade</h3>
    <ul>
    <li><a href="https://www.vbulletin.com/forum/node/4391348">Installation Instructions</a></li>
    <li><a href="https://www.vbulletin.com/forum/node/4391346">Upgrade Instructions</a></li>
    </ul>
    <h3>File Cleanup</h3>
    <p>After upgrading your vBulletin system, you should delete any possible obsolete files. You can obtain more information on why this is needed and instructions on how to do this in this <a href="https://www.vbulletin.com/forum/node/4391346"><strong>topic</strong></a> in the vBulletin 5 Installs &amp; Upgrades forum.</p>
    <h3>System Requirements</h3>
    <h4>Minimum System Requirements</h4>
    <ul>
    <li>PHP Version: 7.1.0</li>
    <li>MySQL Version: 5.6.10</li>
    <li>MariaDB Version: 10.0.0</li>
    </ul>
    <h4>Recommended System Requirements</h4>
    <ul>
    <li>PHP Version: 7.3 or higher</li>
    <li>MySQL Version: 8.0 or higher</li>
    <li>MariaDB Version: 10.3+</li>
    </ul>
    <p>For more information see <a href="https://www.vbulletin.com/forum/node/4391344">vBulletin Connect System Requirements</a>.</p>
    <h3>Current Version Support Schedule</h3>
    <p>It is recommended to use the latest version of vBulletin at all times.</p>
    <ul>
    <li>Active Version - 5.5.3</li>
    <li>Security Patch - 5.5.2</li>
    <li>Security Patch - 5.5.1</li>
    <li>No Patch Release - 5.5.0 or earlier.</li>
    </ul>
    <h3>Discussion</h3>
    <p>If you have any questions about these changes you may discuss them here: https://forum.vbulletin.com/node/4419735 </p>
    <p>If you find an issue with the software or wish to place a feature request please visit our <a href="https://tracker.vbulletin.com">tracker</a>.</p>
    <p>In order to receive support for your vBulletin Product please visit our <a href="https://www.vbulletin.com/forum/">community forums</a>.</p>

    View the full article

  7. XenForo 2.1.3 Released

    XenForo 2.1.3 is now available for all licensed customers to download. We recommend that all customers running previous versions of XenForo 2.1 upgrade to this release to benefit from increased stability.

    Download XenForo 2.1.3

    Some of the changes in XF 2.1.3 include:
    • Don't log when a push notification hits a 406 error as this is a temporary rate limiting issue.
    • Update the...

    XenForo, Media Gallery, Resource Manager 2.1.3 and Enhanced Search 2.1.2 released

    View the full article

  8. <h1>vBulletin 5.5.3 Changes and Updates</h1>
    <p>vBulletin 5.5.3 is now available for all vBulletin 5 Download customers. We will automatically update vBulletin Cloud sites. vBulletin Cloud users will receive an email with the scheduled time for their site's upgrade.</p>
    <h2>Front End Changes</h2>
    <h3>Group Icons</h3>
    <p>We have resolved a few additional issues with Group Channels. These include:</p>
    <ul>
    <li>Group Icons can now be removed. Previously you could only replace them with a new icon.</li>
    <li>Icon management works properly on the Group Settings Page.</li>
    <li>Items will no longer break out of the Conversation Toolbar at different resolutions.</li>
    <li>Topics and Replies will be properly moderated before displaying if this group option is set.</li>
    </ul>
    <h3>Facebook Connect</h3>
    <p>A number of changes have been made to Facebook Connect to enable better operations due to changes in their API over the years. When a user registers with Facebook, the process is simplified. Facebook no longer allows the automated operations from vBulletin 4.X. We have worked to make the registration process as simple as possible. It is no longer possible to pre-fill custom profile fields with Facebook information. They have removed that functionality. We have also upgraded the Facebook API to the latest version.</p>
    <h3>Container Module</h3>
    <p>You can now add additional modules to the Container Module in the Blog Channel Sidebar. An issue that could cause all modules to be deleted when doing this has been resolved.</p>
    <h3>Accessibility</h3>
    <p>Code has been added to apply the aria-label attribute on form elements that currently do not have proper labels. This should improve general accessibility throughout the software. In addition to this, the jQuery Placeholder plugin has been removed from the system. The placeholder attribute is natively supported by browser engines today. This workaround was no longer needed.</p>
    <h3>Breadcrumbs</h3>
    <p>These have been reworked to display better on smaller screens. Breadcrumb text will no longer be abbreviated with the CSS .ellipsis class. Instead the breadcrumbs will wrap to the next line as necessary. In addition to this, the Home label has been replaced with an icon and appropriate label.</p>
    <hr>
    <h2>Back End / AdminCP</h2>
    <h3>Improved Search Engine Performance</h3>
    <p>A number of performance issues relating to the search engine in vBulletin 5 have been resolved. These changes can significantly speed up your search results when using either keyword based search or the JSON powered search modules placed on pages.</p>
    <h3>Moderation Permissions</h3>
    <p>We have split the single &quot;Skip Moderation Queue&quot; permission into three different permissions. This was done to give you greater control over moderating new content similar to vBulletin 4.X. Setting these permissions to No will force content into moderation on a channel by channel basis. The three permissions are:</p>
    <ul>
    <li>Skip Moderation for New Topics - This will enable you to moderate new topics started by different usergroups.</li>
    <li>Skip Moderation for Replies - This will enable you to moderate replies and comments on approved topics.</li>
    <li>Skip Moderation for Posts/Topics with Attachments - If set to no, this will automatically moderate any topic starter or post with attachments. This allows review of the attachments before they are made available to your users.</li>
    </ul>
    <h3>Proxy Support</h3>
    <p>We have added support for Cloudflare and Sucuri proxies in the <code>/core/includes/config.php</code> file. These directives are commented out in the default file. Uncomment the block that you wish to use. Uncommenting will make them active. Only one can be active at a time.</p>
    <h3>.htaccess</h3>
    <p>Code has been added to the default .htaccess file to handle rewriting vBulletin 4.X Friendly URLs. This code is commented out by default.</p>
    <h3>AdminCP Home Page Statistics</h3>
    <p>These statistics have been updated so they are more accurate. In addition to this, the obsolete Profile Picture Statistic has been removed.</p>
    <hr>
    <h2>Mobile Apps</h2>
    <h3>Push Notifications</h3>
    <p>Changes have been made to make push notifications more reliable in the mobile apps. A new option has been added to control the push notification timeout. This option can be found in the AdminCP under Settings -&gt; Options -&gt; vBulletin API and Mobile Application Options.</p>
    <hr>
    <h2>Additional Information</h2>
    <h3>Install / Upgrade</h3>
    <ul>
    <li><a href="https://www.vbulletin.com/forum/node/4391348">Installation Instructions</a></li>
    <li><a href="https://www.vbulletin.com/forum/node/4391346">Upgrade Instructions</a></li>
    </ul>
    <h3>File Cleanup</h3>
    <p>After upgrading your vBulletin system, you should delete any possible obsolete files. You can obtain more information on why this is needed and instructions on how to do this in this <a href="https://www.vbulletin.com/forum/node/4391346"><strong>topic</strong></a> in the vBulletin 5 Installs &amp; Upgrades forum.</p>
    <h3>System Requirements</h3>
    <p>Minimum System Requirements</p>
    <ul>
    <li>PHP Version: 7.1.0</li>
    <li>MySQL Version: 5.6.10</li>
    <li>MariaDB Version: 10.0.0</li>
    </ul>
    <p>Recommended System Requirements</p>
    <ul>
    <li>PHP Version: 7.3 or higher</li>
    <li>MySQL Version: 8.0 or higher</li>
    <li>MariaDB Version: 10.3+</li>
    </ul>
    <p>For more information see <a href="https://www.vbulletin.com/forum/node/4391344">vBulletin Connect System Requirements</a>.</p>
    <h3>Current Version Support Schedule</h3>
    <p>It is recommended to use the latest version of vBulletin at all times.</p>
    <ul>
    <li>Active Version - 5.5.3</li>
    <li>Security Patch - 5.5.2</li>
    <li>Security Patch - 5.5.1</li>
    <li>No Patch Release - 5.5.0 or earlier.</li>
    </ul>
    <h3>Discussion</h3>
    <p>If you have any questions about these changes you may discuss them here: https://forum.vbulletin.com/node/4416598</p>
    <p>If you find an issue with the software or wish to place a feature request please visit our <a href="https://tracker.vbulletin.com">tracker</a>.</p>
    <p>In order to receive support for your vBulletin Product please visit our <a href="https://www.vbulletin.com/forum/">community forums</a>.</p>

    View the full article

  9. Wir freuen uns, die Verfügbarkeit der Vorabversion von WoltLab Suite 5.2, einschließlich aller offiziellen Apps, bekannt zu geben, diese sind über https://beta.woltlab.com zu erreichen.


    Erleben Sie die neue Version mit den neuen Funktionen und Verbesserungen selbst, die Vorschau ist für alle Interessenten zugänglich, unabhängig ob Sie bereits Lizenzinhaber sind oder nicht. Die Vorschau läuft mit einer Alpha-Version, die gelegentlich noch Fehler oder Funktionen mit Verbesserungspotential enthalten kann. Wir sind für alle Hinweise und Anregungen zu der neuen Version dankbar und freuen uns auf die Rückmeldungen, um gemeinsam mit Ihnen auf ein bestmögliches Produkt hinzuarbeiten.


    Die Vorschau wird fortlaufend aktualisiert, damit Anpassungen und Korrekturen möglichst zeitnah eingepflegt werden können. Wir möchten aber darauf hinweisen, dass wir keine Daten aus dieser Vorabversion in die Installation auf unserer Website übernehmen werden.


    Probieren Sie die neue Version doch einfach mal aus: https://beta.woltlab.com.



    Hinweis: Die Versionsnummern wurden über alle Apps hinweg vereinheitlicht. Diese verwenden nun alle die Version 5.2, anstelle der aus historischen Gründen abweichenden Kombination von 3.x und 5.x.

    View the full article

  10. Chevereto v3.13.3
    Released on July 1st 2019
    • Fixed conflicts with MySQL 5.6
    • Fixed missing vendor certificate bundle
    Check README.txt file and http://chevereto.com/docs for install or update instructions. If you edited some or part of the affected files merge your changes.

    View the full article

×
×
  • Create New...

Important Information

This website uses cookies and shit. Deal with it or GTFO!